From ad4ea0a3ad0f32abe6db78815b40384d8aa310eb Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Wed, 18 Apr 2018 09:39:56 +0200
Subject: [PATCH] WIP IPSEC removal so far

---
 Makefile_upgrade.inc                 |   24 +
 etc/defaults/rc.conf                 |    2 -
 etc/mtree/BSD.include.dist           |    2 -
 etc/rc.d/Makefile                    |    3 +-
 etc/rc.d/ipsec                       |   70 -
 etc/rc.d/rtadvd                      |    9 -
 gnu/usr.bin/groff/tmac/fr.ISO8859-1  |    1 -
 gnu/usr.bin/groff/tmac/ru.KOI8-R     |    1 -
 include/Makefile                     |    5 +-
 lib/Makefile                         |    1 -
 lib/libc/gen/sysctl.3                |    7 -
 lib/libc/net/getnameinfo.c           |    1 -
 lib/libipsec/Makefile                |   56 -
 lib/libipsec/ipsec_dump_policy.c     |  299 --
 lib/libipsec/ipsec_get_policylen.c   |   47 -
 lib/libipsec/ipsec_set_policy.3      |  277 -
 lib/libipsec/ipsec_strerror.3        |   88 -
 lib/libipsec/ipsec_strerror.c        |   88 -
 lib/libipsec/ipsec_strerror.h        |   64 -
 lib/libipsec/libpfkey.h              |   91 -
 lib/libipsec/pfkey.c                 | 1986 -------
 lib/libipsec/pfkey_dump.c            |  587 --
 lib/libipsec/policy_parse.y          |  425 --
 lib/libipsec/policy_token.l          |  151 -
 lib/libipsec/test-policy.c           |  334 --
 sbin/ping/Makefile                   |    5 -
 sbin/ping/ping.8                     |    9 -
 sbin/ping/ping.c                     |   77 +-
 sbin/ping6/Makefile                  |    6 +-
 sbin/ping6/ping6.8                   |   18 -
 sbin/ping6/ping6.c                   |  121 +-
 share/initrd/sbin.libcrypto/Makefile |    1 -
 share/initrd/sbin/Makefile           |    2 +-
 share/man/man4/Makefile              |    2 -
 share/man/man4/aesni.4               |    1 -
 share/man/man4/crypto.4              |    1 -
 share/man/man4/fast_ipsec.4          |  107 -
 share/man/man4/ip6.4                 |    4 -
 share/man/man4/ipsec.4               |  326 --
 share/man/man4/tcp.4                 |   56 +-
 share/man/man5/rc.conf.5             |   13 -
 share/man/man7/hier.7                |    2 -
 share/mk/bsd.libnames.mk             |    1 -
 sys/conf/files                       |   39 -
 sys/conf/options                     |    7 +-
 sys/config/LINT64                    |   39 +-
 sys/config/VKERNEL64                 |    4 -
 sys/crypto/blowfish/bf_ecb.c         |   85 -
 sys/net/pf/if_pfsync.c               |   17 -
 sys/net/pfkeyv2.h                    |  402 --
 sys/netinet/in.h                     |    4 +-
 sys/netinet/in_pcb.c                 |   35 -
 sys/netinet/in_proto.c               |  116 -
 sys/netinet/ip_divert.c              |    1 -
 sys/netinet/ip_icmp.c                |   22 -
 sys/netinet/ip_input.c               |  205 -
 sys/netinet/ip_output.c              |  336 --
 sys/netinet/raw_ip.c                 |   41 -
 sys/netinet/tcp_input.c              |   34 -
 sys/netinet/tcp_output.c             |   18 -
 sys/netinet/tcp_subr.c               |   58 -
 sys/netinet/tcp_syncache.c           |   23 -
 sys/netinet/tcp_usrreq.c             |    5 -
 sys/netinet/udp_usrreq.c             |   44 -
 sys/netinet6/ah.h                    |  102 -
 sys/netinet6/ah6.h                   |   63 -
 sys/netinet6/ah_core.c               | 1537 ------
 sys/netinet6/ah_input.c              | 1037 ----
 sys/netinet6/ah_output.c             |  574 --
 sys/netinet6/esp.h                   |  112 -
 sys/netinet6/esp6.h                  |   60 -
 sys/netinet6/esp_aesctr.c            |  447 --
 sys/netinet6/esp_camellia.c          |   81 -
 sys/netinet6/esp_core.c              | 1057 ----
 sys/netinet6/esp_input.c             |  978 ----
 sys/netinet6/esp_output.c            |  699 ---
 sys/netinet6/esp_rijndael.c          |  109 -
 sys/netinet6/icmp6.c                 |   15 -
 sys/netinet6/in6_pcb.c               |   24 -
 sys/netinet6/in6_proto.c             |   77 -
 sys/netinet6/ip6_forward.c           |  193 -
 sys/netinet6/ip6_input.c             |   36 -
 sys/netinet6/ip6_output.c            |  287 +-
 sys/netinet6/ipcomp.h                |   79 -
 sys/netinet6/ipcomp6.h               |   56 -
 sys/netinet6/ipcomp_core.c           |  342 --
 sys/netinet6/ipcomp_input.c          |  345 --
 sys/netinet6/ipcomp_output.c         |  363 --
 sys/netinet6/ipsec.c                 | 3474 ------------
 sys/netinet6/ipsec.h                 |  352 --
 sys/netinet6/ipsec6.h                |   87 -
 sys/netinet6/nd6_nbr.c               |    8 -
 sys/netinet6/raw_ip6.c               |   51 -
 sys/netinet6/udp6_output.c           |    8 -
 sys/netinet6/udp6_usrreq.c           |   63 -
 sys/netproto/ipsec/ah.h              |   57 -
 sys/netproto/ipsec/ah_var.h          |   79 -
 sys/netproto/ipsec/esp.h             |   70 -
 sys/netproto/ipsec/esp_var.h         |   82 -
 sys/netproto/ipsec/ipcomp.h          |   56 -
 sys/netproto/ipsec/ipcomp_var.h      |   68 -
 sys/netproto/ipsec/ipip_var.h        |   66 -
 sys/netproto/ipsec/ipsec.c           | 1854 -------
 sys/netproto/ipsec/ipsec.h           |  390 --
 sys/netproto/ipsec/ipsec6.h          |   91 -
 sys/netproto/ipsec/ipsec_input.c     |  782 ---
 sys/netproto/ipsec/ipsec_mbuf.c      |  479 --
 sys/netproto/ipsec/ipsec_output.c    |  754 ---
 sys/netproto/ipsec/key.c             | 6966 ------------------------
 sys/netproto/ipsec/key.h             |  115 -
 sys/netproto/ipsec/key_debug.c       |  725 ---
 sys/netproto/ipsec/key_debug.h       |   89 -
 sys/netproto/ipsec/key_var.h         |   73 -
 sys/netproto/ipsec/keydb.h           |  182 -
 sys/netproto/ipsec/keysock.c         |  584 --
 sys/netproto/ipsec/keysock.h         |   83 -
 sys/netproto/ipsec/xform.h           |  127 -
 sys/netproto/ipsec/xform_ah.c        | 1205 -----
 sys/netproto/ipsec/xform_esp.c       |  971 ----
 sys/netproto/ipsec/xform_ipcomp.c    |  618 ---
 sys/netproto/ipsec/xform_ipip.c      |  707 ---
 sys/netproto/key/key.c               | 7366 --------------------------
 sys/netproto/key/key.h               |   84 -
 sys/netproto/key/key_debug.c         |  726 ---
 sys/netproto/key/key_debug.h         |   89 -
 sys/netproto/key/key_var.h           |   73 -
 sys/netproto/key/keydb.c             |  195 -
 sys/netproto/key/keydb.h             |  181 -
 sys/netproto/key/keysock.c           |  641 ---
 sys/netproto/key/keysock.h           |   83 -
 sys/platform/pc64/conf/files         |    2 -
 sys/platform/vkernel64/conf/files    |    2 -
 sys/sys/param.h                      |    3 +-
 tools/tools/crypto/Makefile          |    6 +-
 tools/tools/crypto/ipsecstats.c      |  180 -
 usr.bin/kdump/mkioctls               |    2 +-
 usr.bin/netstat/Makefile             |    3 +-
 usr.bin/netstat/ipsec.c              |  314 --
 usr.bin/netstat/main.c               |   57 +-
 usr.bin/netstat/netstat.1            |    4 +-
 usr.bin/netstat/netstat.h            |    7 -
 usr.bin/telnet/Makefile              |    4 -
 usr.bin/telnet/commands.c            |   38 -
 usr.bin/telnet/externs.h             |    8 -
 usr.bin/telnet/main.c                |   28 +-
 usr.sbin/Makefile                    |    1 -
 usr.sbin/inetd/Makefile              |    7 +-
 usr.sbin/inetd/inetd.8               |   28 -
 usr.sbin/inetd/inetd.c               |  134 -
 usr.sbin/inetd/inetd.h               |    3 -
 usr.sbin/rrenumd/Makefile            |    4 +-
 usr.sbin/rrenumd/rrenumd.c           |  160 +-
 usr.sbin/setkey/Makefile             |   54 -
 usr.sbin/setkey/parse.y              |  937 ----
 usr.sbin/setkey/sample.cf            |  220 -
 usr.sbin/setkey/scriptdump           |   56 -
 usr.sbin/setkey/setkey.8             |  627 ---
 usr.sbin/setkey/setkey.c             |  635 ---
 usr.sbin/setkey/test-pfkey.c         |  501 --
 usr.sbin/setkey/test-policy.c        |  161 -
 usr.sbin/setkey/token.l              |  323 --
 usr.sbin/setkey/vchar.h              |   37 -
 usr.sbin/traceroute6/Makefile        |    6 +-
 usr.sbin/traceroute6/traceroute6.8   |    1 -
 usr.sbin/traceroute6/traceroute6.c   |   98 -
 165 files changed, 106 insertions(+), 50878 deletions(-)
 delete mode 100644 etc/rc.d/ipsec
 delete mode 100644 lib/libipsec/Makefile
 delete mode 100644 lib/libipsec/ipsec_dump_policy.c
 delete mode 100644 lib/libipsec/ipsec_get_policylen.c
 delete mode 100644 lib/libipsec/ipsec_set_policy.3
 delete mode 100644 lib/libipsec/ipsec_strerror.3
 delete mode 100644 lib/libipsec/ipsec_strerror.c
 delete mode 100644 lib/libipsec/ipsec_strerror.h
 delete mode 100644 lib/libipsec/libpfkey.h
 delete mode 100644 lib/libipsec/pfkey.c
 delete mode 100644 lib/libipsec/pfkey_dump.c
 delete mode 100644 lib/libipsec/policy_parse.y
 delete mode 100644 lib/libipsec/policy_token.l
 delete mode 100644 lib/libipsec/test-policy.c
 delete mode 100644 share/man/man4/fast_ipsec.4
 delete mode 100644 share/man/man4/ipsec.4
 delete mode 100644 sys/crypto/blowfish/bf_ecb.c
 delete mode 100644 sys/net/pfkeyv2.h
 delete mode 100644 sys/netinet6/ah.h
 delete mode 100644 sys/netinet6/ah6.h
 delete mode 100644 sys/netinet6/ah_core.c
 delete mode 100644 sys/netinet6/ah_input.c
 delete mode 100644 sys/netinet6/ah_output.c
 delete mode 100644 sys/netinet6/esp.h
 delete mode 100644 sys/netinet6/esp6.h
 delete mode 100644 sys/netinet6/esp_aesctr.c
 delete mode 100644 sys/netinet6/esp_camellia.c
 delete mode 100644 sys/netinet6/esp_core.c
 delete mode 100644 sys/netinet6/esp_input.c
 delete mode 100644 sys/netinet6/esp_output.c
 delete mode 100644 sys/netinet6/esp_rijndael.c
 delete mode 100644 sys/netinet6/ipcomp.h
 delete mode 100644 sys/netinet6/ipcomp6.h
 delete mode 100644 sys/netinet6/ipcomp_core.c
 delete mode 100644 sys/netinet6/ipcomp_input.c
 delete mode 100644 sys/netinet6/ipcomp_output.c
 delete mode 100644 sys/netinet6/ipsec.c
 delete mode 100644 sys/netinet6/ipsec.h
 delete mode 100644 sys/netinet6/ipsec6.h
 delete mode 100644 sys/netproto/ipsec/ah.h
 delete mode 100644 sys/netproto/ipsec/ah_var.h
 delete mode 100644 sys/netproto/ipsec/esp.h
 delete mode 100644 sys/netproto/ipsec/esp_var.h
 delete mode 100644 sys/netproto/ipsec/ipcomp.h
 delete mode 100644 sys/netproto/ipsec/ipcomp_var.h
 delete mode 100644 sys/netproto/ipsec/ipip_var.h
 delete mode 100644 sys/netproto/ipsec/ipsec.c
 delete mode 100644 sys/netproto/ipsec/ipsec.h
 delete mode 100644 sys/netproto/ipsec/ipsec6.h
 delete mode 100644 sys/netproto/ipsec/ipsec_input.c
 delete mode 100644 sys/netproto/ipsec/ipsec_mbuf.c
 delete mode 100644 sys/netproto/ipsec/ipsec_output.c
 delete mode 100644 sys/netproto/ipsec/key.c
 delete mode 100644 sys/netproto/ipsec/key.h
 delete mode 100644 sys/netproto/ipsec/key_debug.c
 delete mode 100644 sys/netproto/ipsec/key_debug.h
 delete mode 100644 sys/netproto/ipsec/key_var.h
 delete mode 100644 sys/netproto/ipsec/keydb.h
 delete mode 100644 sys/netproto/ipsec/keysock.c
 delete mode 100644 sys/netproto/ipsec/keysock.h
 delete mode 100644 sys/netproto/ipsec/xform.h
 delete mode 100644 sys/netproto/ipsec/xform_ah.c
 delete mode 100644 sys/netproto/ipsec/xform_esp.c
 delete mode 100644 sys/netproto/ipsec/xform_ipcomp.c
 delete mode 100644 sys/netproto/ipsec/xform_ipip.c
 delete mode 100644 sys/netproto/key/key.c
 delete mode 100644 sys/netproto/key/key.h
 delete mode 100644 sys/netproto/key/key_debug.c
 delete mode 100644 sys/netproto/key/key_debug.h
 delete mode 100644 sys/netproto/key/key_var.h
 delete mode 100644 sys/netproto/key/keydb.c
 delete mode 100644 sys/netproto/key/keydb.h
 delete mode 100644 sys/netproto/key/keysock.c
 delete mode 100644 sys/netproto/key/keysock.h
 delete mode 100644 tools/tools/crypto/ipsecstats.c
 delete mode 100644 usr.bin/netstat/ipsec.c
 delete mode 100644 usr.sbin/setkey/Makefile
 delete mode 100644 usr.sbin/setkey/parse.y
 delete mode 100644 usr.sbin/setkey/sample.cf
 delete mode 100644 usr.sbin/setkey/scriptdump
 delete mode 100644 usr.sbin/setkey/setkey.8
 delete mode 100644 usr.sbin/setkey/setkey.c
 delete mode 100644 usr.sbin/setkey/test-pfkey.c
 delete mode 100644 usr.sbin/setkey/test-policy.c
 delete mode 100644 usr.sbin/setkey/token.l
 delete mode 100644 usr.sbin/setkey/vchar.h

diff --git a/Makefile_upgrade.inc b/Makefile_upgrade.inc
index c9ed29c114..5aa472fb4e 100644
--- a/Makefile_upgrade.inc
+++ b/Makefile_upgrade.inc
@@ -3382,6 +3382,30 @@ TO_REMOVE+=/usr/share/man/man9/devfs_clone_bitmap_fff.9.gz
 TO_REMOVE+=/usr/share/man/man7/stabs.7.gz
 TO_REMOVE+=/boot/kernel/libalias.ko
 TO_REMOVE+=/usr/include/net/libalias
+TO_REMOVE+=/etc/rc.d/ipsec
+TO_REMOVE+=/usr/include/net/pfkeyv2.h
+TO_REMOVE+=/usr/include/netinet6/ah.h
+TO_REMOVE+=/usr/include/netinet6/ah6.h
+TO_REMOVE+=/usr/include/netinet6/esp.h
+TO_REMOVE+=/usr/include/netinet6/esp6.h
+TO_REMOVE+=/usr/include/netinet6/ipcomp.h
+TO_REMOVE+=/usr/include/netinet6/ipcomp6.h
+TO_REMOVE+=/usr/include/netinet6/ipsec.h
+TO_REMOVE+=/usr/include/netinet6/ipsec6.h
+TO_REMOVE+=/usr/include/netipsec
+TO_REMOVE+=/usr/include/netkey
+TO_REMOVE+=/usr/include/netproto/ipsec
+TO_REMOVE+=/usr/include/netproto/key
+TO_REMOVE+=/usr/lib/libipsec.a
+TO_REMOVE+=/usr/lib/profile/libipsec.a
+TO_REMOVE+=/usr/sbin/setkey
+TO_REMOVE+=/usr/share/man/man3/ipsec_dump_policy.3.gz
+TO_REMOVE+=/usr/share/man/man3/ipsec_get_policylen.3.gz
+TO_REMOVE+=/usr/share/man/man3/ipsec_set_policy.3.gz
+TO_REMOVE+=/usr/share/man/man3/ipsec_strerror.3.gz
+TO_REMOVE+=/usr/share/man/man4/fast_ipsec.4.gz
+TO_REMOVE+=/usr/share/man/man4/ipsec.4.gz
+TO_REMOVE+=/usr/share/man/man8/setkey.8.gz
 
 .if !defined(WANT_INSTALLER)
 TO_REMOVE+=/usr/sbin/dfuibe_installer
diff --git a/etc/defaults/rc.conf b/etc/defaults/rc.conf
index 56d7edf379..561b8fedfc 100644
--- a/etc/defaults/rc.conf
+++ b/etc/defaults/rc.conf
@@ -73,8 +73,6 @@ ipfw3_script="/etc/ipfw3.rules"	# Script to run to set up the firewall rules
 ipfw3_modules="ipfw3 ipfw3_basic"	# IPFW3 modules to be loaded
 ip_portrange_first="NO"		# Set first dynamically allocated port
 ip_portrange_last="NO"		# Set last dynamically allocated port
-ipsec_enable="NO"		# Set to YES to run setkey on ipsec_file
-ipsec_file="/etc/ipsec.conf"	# Name of config file for setkey
 natd_program="/sbin/natd"	# path to natd, if you want a different one.
 natd_enable="NO"		# Enable natd (if firewall_enable == YES).
 natd_interface=""		# Public interface or IPaddress to use.
diff --git a/etc/mtree/BSD.include.dist b/etc/mtree/BSD.include.dist
index efb67fa565..5c78e00ea8 100644
--- a/etc/mtree/BSD.include.dist
+++ b/etc/mtree/BSD.include.dist
@@ -396,8 +396,6 @@
     netproto
         802_11
         ..
-        ipsec
-        ..
         key
         ..
         mpls
diff --git a/etc/rc.d/Makefile b/etc/rc.d/Makefile
index 61d3a86b5a..55eca8ae67 100644
--- a/etc/rc.d/Makefile
+++ b/etc/rc.d/Makefile
@@ -10,8 +10,7 @@ FILES=	DAEMON LOGIN NETWORKING SERVERS \
 	bootconf bootparams btconfig bthcid ccd cleanvar cryptdisks \
 	cleartmp cron cryptdisks devd devfs dhclient diskless dmesg dumpon \
 	fixbootfile fsck ftpd hostname hotplugd \
-	inetd initdiskless initrandom ip6fw ipfw ipfw3 ipsec \
-	jail keyserv \
+	inetd initdiskless initrandom ip6fw ipfw ipfw3 jail keyserv \
 	ldconfig local localdaemons lockd lpd lvm \
 	mixer modules motd mountcritlocal mountcritremote \
 	mountd moused mroute6d mrouted msgs \
diff --git a/etc/rc.d/rtadvd b/etc/rc.d/rtadvd
index d330b89daa..77c61def46 100644
--- a/etc/rc.d/rtadvd
+++ b/etc/rc.d/rtadvd
@@ -31,12 +31,6 @@ rtadvd_precmd()
 	# router renumbering messages, specify your Router Renumbering
 	# security policy by -R option.
 	#
-	# See `man 3 ipsec_set_policy` for IPsec policy specification
-	# details.
-	# (CAUTION: This enables your routers prefix renumbering
-	# from another machine, so if you enable this, do it with
-	# enough care.)
-	#
 	# If specific interfaces haven't been specified,
 	# get a list of interfaces and enable it on them
 	#
@@ -55,9 +49,6 @@ rtadvd_precmd()
 		;;
 	esac
 	command_args="${rtadvd_interfaces}"
-	# Enable Router Renumbering, unicast case
-	# (use correct src/dst addr)
-	# rtadvd -R "in ipsec ah/transport/fec0:0:0:1::1-fec0:0:0:10::1/require" ${ipv6_network_interf
 	return 0
 }
 
diff --git a/gnu/usr.bin/groff/tmac/fr.ISO8859-1 b/gnu/usr.bin/groff/tmac/fr.ISO8859-1
index ba66247f44..f6b80268f9 100644
--- a/gnu/usr.bin/groff/tmac/fr.ISO8859-1
+++ b/gnu/usr.bin/groff/tmac/fr.ISO8859-1
@@ -85,7 +85,6 @@
 .ds doc-str-Lb-libfetch    Biblioth\[`e]que de transfert de fichier (libfetch, \-lfetch)
 .\" XXX ds doc-str-Lb-libgeom     Userland API Library for kernel GEOM subsystem (libgeom, \-lgeom)
 .ds doc-str-Lb-libi386     Biblioth\[`e]que de l'architecture i386 (libi386, \-li386)
-.ds doc-str-Lb-libipsec    Biblioth\[`e]que de contr\[^o]le de politique IPsec (libipsec, \-lipsec)
 .ds doc-str-Lb-libkvm      Biblioth\[`e]que d'acc\[`e]s aux donn\['e]es du noyau (libkvm, \-lkvm)
 .ds doc-str-Lb-libm        Biblioth\[`e]que math\['e]matique (libm, \-lm)
 .ds doc-str-Lb-libmd       Biblioth\[`e]que de support des signatures (MD4, MD5, etc.) (libmd, \-lmd)
diff --git a/gnu/usr.bin/groff/tmac/ru.KOI8-R b/gnu/usr.bin/groff/tmac/ru.KOI8-R
index 2513ef76f0..f422badd3c 100644
--- a/gnu/usr.bin/groff/tmac/ru.KOI8-R
+++ b/gnu/usr.bin/groff/tmac/ru.KOI8-R
@@ -85,7 +85,6 @@
 .ds doc-str-Lb-libfetch    âÉÂÌÉÏÔÅËÁ ÆÁÊÌÏ×ÏÊ ÐÅÒÅÄÁÞÉ (libfetch, \-lfetch)
 .ds doc-str-Lb-libgeom     ðÏÌØÚÏ×ÁÔÅÌØÓËÁÑ API ÂÉÂÌÉÏÔÅËÁ ÐÏÄÓÉÓÔÅÍÙ ÑÄÒÁ GEOM (libgeom, \-lgeom)
 .ds doc-str-Lb-libi386     âÉÂÌÉÏÔÅËÁ ÁÒÈÉÔÅËÔÕÒÙ i386 (libi386, \-li386)
-.ds doc-str-Lb-libipsec    âÉÂÌÉÏÔÅËÁ ÕÐÒÁ×ÌÅÎÉÑ IPsec Policy (libipsec, \-lipsec)
 .ds doc-str-Lb-libkvm      âÉÂÌÉÏÔÅËÁ ÄÏÓÔÕÐÁ Ë ÄÁÎÎÙÍ ÑÄÒÁ (libkvm, \-lkvm)
 .ds doc-str-Lb-libm        âÉÂÌÉÏÔÅËÁ ÍÁÔÅÍÁÔÉÞÅÓËÉÈ ÆÕÎËÃÉÊ (libm, \-lm)
 .\" XXX ds doc-str-Lb-libmd       Message Digest (MD4, MD5, É Ô.Ä.) Support Library (libmd, \-lmd)
diff --git a/include/Makefile b/include/Makefile
index c07af86484..91fb1ef8d0 100644
--- a/include/Makefile
+++ b/include/Makefile
@@ -85,8 +85,7 @@ LSUBDIRS= \
 	netgraph7/mppc netgraph7/one2many netgraph7/ppp netgraph7/pppoe \
 	netgraph7/pptpgre netgraph7/rfc1490 netgraph7/socket \
 	netgraph7/tcpmss netgraph7/tee netgraph7/tty netgraph7/vjc \
-	netproto/ipsec netproto/802_11 netproto/mpls \
-	netproto/key netproto/smb \
+	netproto/802_11 netproto/mpls netproto/smb \
 	vfs/isofs/cd9660 vfs/puffs \
 	vfs/msdosfs vfs/nfs vfs/ntfs \
 	vfs/smbfs vfs/udf vfs/ufs vfs/hammer vfs/hammer2 \
@@ -137,8 +136,6 @@ INCSLINKS+=	vfs ${INCLUDEDIR}/fs
 # It is hopefully a temporary hack until we have environments working.
 INCSLINKS+=	vfs ${INCLUDEDIR}/ufs
 INCSLINKS+=	ufs ${INCLUDEDIR}/vfs/ffs
-INCSLINKS+=	netproto/ipsec ${INCLUDEDIR}/netipsec
-INCSLINKS+=	netproto/key ${INCLUDEDIR}/netkey
 INCSLINKS+=	netproto/smb ${INCLUDEDIR}/netsmb
 INCSLINKS+=	bus/pccard ${INCLUDEDIR}/pccard
 # Some 3rd party software looks for <floatingpoint.h>
diff --git a/lib/Makefile b/lib/Makefile
index c021ac135c..79a1cab543 100644
--- a/lib/Makefile
+++ b/lib/Makefile
@@ -71,7 +71,6 @@ SUBDIR=	${SUBDIR_ORDERED} \
 	libftpio \
 	libhammer \
 	libipfw3 \
-	libipsec \
 	libkcore \
 	libkiconv \
 	libkinfo \
diff --git a/lib/libc/net/getnameinfo.c b/lib/libc/net/getnameinfo.c
index 1c265a62dc..c42ce27841 100644
--- a/lib/libc/net/getnameinfo.c
+++ b/lib/libc/net/getnameinfo.c
@@ -410,7 +410,6 @@ getnameinfo_link(const struct sockaddr *sa, socklen_t salen __unused,
 	/*
 	 * The following use IPv4 addresses as link-layer addresses:
 	 * IFT_OTHER	(net/gre/if_gre.c)
-	 * IFT_OTHER	(netproto/ipsec/xform_ipip.c)
 	 */
 	/* default below is believed correct for all these. */
 	case IFT_ARCNET:
diff --git a/sbin/ping/Makefile b/sbin/ping/Makefile
index bb0e34505d..892d73056b 100644
--- a/sbin/ping/Makefile
+++ b/sbin/ping/Makefile
@@ -1,6 +1,5 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/5/93
 # $FreeBSD: src/sbin/ping/Makefile,v 1.12.2.4 2001/12/19 04:49:11 dd Exp $
-# $DragonFly: src/sbin/ping/Makefile,v 1.4 2006/10/17 00:55:43 pavalos Exp $
 
 PROG=	ping
 MAN=	ping.8
@@ -8,8 +7,4 @@ BINMODE=4555
 DPADD=	${LIBM}
 LDADD=	-lm
 
-CFLAGS+=-DIPSEC
-DPADD+=	${LIBIPSEC}
-LDADD+=	-lipsec
-
 .include <bsd.prog.mk>
diff --git a/sbin/ping/ping.c b/sbin/ping/ping.c
index 2dd549b16f..1097f58221 100644
--- a/sbin/ping/ping.c
+++ b/sbin/ping/ping.c
@@ -32,7 +32,6 @@
  * @(#) Copyright (c) 1989, 1993 The Regents of the University of California.  All rights reserved.
  * @(#)ping.c	8.1 (Berkeley) 6/5/93
  * $FreeBSD: src/sbin/ping/ping.c,v 1.111 2007/05/21 14:38:45 cognet Exp $
- * $DragonFly: src/sbin/ping/ping.c,v 1.8 2008/09/04 21:00:28 swildner Exp $
  */
 
 /*
@@ -66,10 +65,6 @@
 #include <netinet/ip_var.h>
 #include <arpa/inet.h>
 
-#ifdef IPSEC
-#include <netinet6/ipsec.h>
-#endif /*IPSEC*/
-
 #include <ctype.h>
 #include <err.h>
 #include <errno.h>
@@ -122,11 +117,6 @@ int options;
 #define	F_MTTL		0x0800
 #define	F_MIF		0x1000
 #define	F_AUDIBLE	0x2000
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-#define F_POLICY	0x4000
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
 #define	F_TTL		0x8000
 #define	F_MISSED	0x10000
 #define	F_ONCE		0x20000
@@ -218,9 +208,6 @@ main(int argc, char **argv)
 	u_char *datap, packet[IP_MAXPACKET] __aligned(4);
 	char *ep, *source, *target, *payload;
 	struct hostent *hp;
-#ifdef IPSEC_POLICY_IPSEC
-	char *policy_in, *policy_out;
-#endif
 	struct sockaddr_in *to;
 	double t;
 	u_long alarmtimeout, ultmp;
@@ -234,9 +221,6 @@ main(int argc, char **argv)
 	unsigned char loop, mttl;
 
 	payload = source = NULL;
-#ifdef IPSEC_POLICY_IPSEC
-	policy_in = policy_out = NULL;
-#endif
 
 	/*
 	 * Do the stuff that we need root priv's for *first*, and
@@ -252,15 +236,7 @@ main(int argc, char **argv)
 	alarmtimeout = df = preload = tos = 0;
 
 	outpack = outpackhdr + sizeof(struct ip);
-	while ((ch = getopt(argc, argv,
-		"Aac:DdfG:g:h:I:i:Ll:M:m:nop:QqRrS:s:T:t:vW:z:"
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-		"P:"
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
-		)) != -1)
-	{
+	while ((ch = getopt(argc, argv, "Aac:DdfG:g:h:I:i:Ll:M:m:nop:QqRrS:s:T:t:vW:z:")) != -1) {
 		switch(ch) {
 		case 'A':
 			options |= F_MISSED;
@@ -395,19 +371,6 @@ main(int argc, char **argv)
 		case 'o':
 			options |= F_ONCE;
 			break;
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-		case 'P':
-			options |= F_POLICY;
-			if (!strncmp("in", optarg, 2))
-				policy_in = strdup(optarg);
-			else if (!strncmp("out", optarg, 3))
-				policy_out = strdup(optarg);
-			else
-				errx(1, "invalid security policy");
-			break;
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
 		case 'p':		/* fill buffer with user pattern */
 			options |= F_PINGFILLED;
 			payload = optarg;
@@ -594,35 +557,6 @@ main(int argc, char **argv)
 	if (options & F_SO_DONTROUTE)
 		setsockopt(s, SOL_SOCKET, SO_DONTROUTE, (char *)&hold,
 		    sizeof(hold));
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	if (options & F_POLICY) {
-		char *buf;
-		if (policy_in != NULL) {
-			buf = ipsec_set_policy(policy_in, strlen(policy_in));
-			if (buf == NULL)
-				errx(EX_CONFIG, "%s", ipsec_strerror());
-			if (setsockopt(s, IPPROTO_IP, IP_IPSEC_POLICY,
-					buf, ipsec_get_policylen(buf)) < 0)
-				err(EX_CONFIG,
-				    "ipsec policy cannot be configured");
-			free(buf);
-		}
-
-		if (policy_out != NULL) {
-			buf = ipsec_set_policy(policy_out, strlen(policy_out));
-			if (buf == NULL)
-				errx(EX_CONFIG, "%s", ipsec_strerror());
-			if (setsockopt(s, IPPROTO_IP, IP_IPSEC_POLICY,
-					buf, ipsec_get_policylen(buf)) < 0)
-				err(EX_CONFIG,
-				    "ipsec policy cannot be configured");
-			free(buf);
-		}
-	}
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
-
 	if (options & F_HDRINCL) {
 		ip = (struct ip*)outpackhdr;
 		if (!(options & (F_TTL | F_MTTL))) {
@@ -1669,11 +1603,6 @@ fill(char *bp, char *patp)
 	}
 }
 
-#if defined(IPSEC) && defined(IPSEC_POLICY_IPSEC)
-#define	SECOPT		" [-P policy]"
-#else
-#define	SECOPT		""
-#endif
 static void
 usage(void)
 {
@@ -1681,10 +1610,10 @@ usage(void)
 	fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n",
 "usage: ping [-AaDdfnoQqRrv] [-c count] [-G sweepmaxsize] [-g sweepminsize]",
 "            [-h sweepincrsize] [-i wait] [-l preload] [-M mask | time] [-m ttl]",
-"           " SECOPT " [-p pattern] [-S src_addr] [-s packetsize] [-t timeout]",
+"            [-p pattern] [-S src_addr] [-s packetsize] [-t timeout]",
 "            [-W waittime] [-z tos] host",
 "       ping [-AaDdfLnoQqRrv] [-c count] [-I iface] [-i wait] [-l preload]",
-"            [-M mask | time] [-m ttl]" SECOPT " [-p pattern] [-S src_addr]",
+"            [-M mask | time] [-m ttl] [-p pattern] [-S src_addr]",
 "            [-s packetsize] [-T ttl] [-t timeout] [-W waittime]",
 "            [-z tos] mcast-group");
 	exit(EX_USAGE);
diff --git a/sbin/ping6/Makefile b/sbin/ping6/Makefile
index 50462bca99..fa3a1407de 100644
--- a/sbin/ping6/Makefile
+++ b/sbin/ping6/Makefile
@@ -3,13 +3,13 @@
 PROG=	ping6
 MAN=	ping6.8
 
-CFLAGS+=-DINET6 -DIPSEC -DHAVE_POLL_H -DHAVE_ARC4RANDOM -DUSE_RFC3542
+CFLAGS+=-DINET6 -DHAVE_POLL_H -DHAVE_ARC4RANDOM -DUSE_RFC3542
 
 BINOWN=	root
 BINMODE=4555
 
-LDADD=	-lipsec -lm -lmd -lprivate_crypto
-DPADD= ${LIBIPSEC} ${LIBM} ${LIBMD} ${LIBCRYPTO}
+LDADD=	-lm -lmd -lprivate_crypto
+DPADD=	${LIBM} ${LIBMD} ${LIBCRYPTO}
 LDFLAGS+=	${PRIVATELIB_LDFLAGS}
 CFLAGS+=	-I${.CURDIR}/../../crypto/libressl/include
 NO_STRICT_ALIASING=
diff --git a/sbin/ping6/ping6.c b/sbin/ping6/ping6.c
index 8fa42bd8e1..0b9fa568d7 100644
--- a/sbin/ping6/ping6.c
+++ b/sbin/ping6/ping6.c
@@ -119,11 +119,6 @@
 #include <poll.h>
 #endif
 
-#ifdef IPSEC
-#include <netinet6/ah.h>
-#include <netinet6/ipsec.h>
-#endif
-
 #include <md5.h>
 
 struct tv32 {
@@ -157,14 +152,6 @@ struct tv32 {
 #define	F_RROUTE	0x0020
 #define	F_SO_DEBUG	0x0040
 #define	F_VERBOSE	0x0100
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-#define	F_POLICY	0x0400
-#else
-#define F_AUTHHDR	0x0200
-#define F_ENCRYPT	0x0400
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
 #define F_NODEADDR	0x0800
 #define F_FQDN		0x1000
 #define F_INTERFACE	0x2000
@@ -305,10 +292,6 @@ main(int argc, char **argv)
 #ifdef USE_RFC3542
 	struct ip6_rthdr *rthdr = NULL;
 #endif
-#ifdef IPSEC_POLICY_IPSEC
-	char *policy_in = NULL;
-	char *policy_out = NULL;
-#endif
 #ifdef IPV6_USE_MIN_MTU
 	int mflag = 0;
 #endif
@@ -320,18 +303,7 @@ main(int argc, char **argv)
 
 	preload = 0;
 	datap = &outpack[ICMP6ECHOLEN + ICMP6ECHOTMLEN];
-#ifndef IPSEC
-#define ADDOPTS
-#else
-#ifdef IPSEC_POLICY_IPSEC
-#define ADDOPTS	"P:"
-#else
-#define ADDOPTS	"AE"
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif
-	while ((ch = getopt(argc, argv,
-	    "a:b:c:dfHg:h:I:i:l:mnNp:qS:s:tvwW" ADDOPTS)) != -1) {
-#undef ADDOPTS
+	while ((ch = getopt(argc, argv, "a:b:c:dfHg:h:I:i:l:mnNp:qS:s:tvwW")) != -1) {
 		switch (ch) {
 		case 'a':
 		{
@@ -524,28 +496,6 @@ main(int argc, char **argv)
 			options &= ~F_NOUSERDATA;
 			options |= F_FQDNOLD;
 			break;
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-		case 'P':
-			options |= F_POLICY;
-			if (!strncmp("in", optarg, 2)) {
-				if ((policy_in = strdup(optarg)) == NULL)
-					errx(1, "strdup");
-			} else if (!strncmp("out", optarg, 3)) {
-				if ((policy_out = strdup(optarg)) == NULL)
-					errx(1, "strdup");
-			} else
-				errx(1, "invalid security policy");
-			break;
-#else
-		case 'A':
-			options |= F_AUTHHDR;
-			break;
-		case 'E':
-			options |= F_ENCRYPT;
-			break;
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
 		default:
 			usage();
 			/*NOTREACHED*/
@@ -732,36 +682,6 @@ main(int argc, char **argv)
 #endif /* IPV6_RECVPATHMTU */
 #endif /* IPV6_USE_MIN_MTU */
 
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	if (options & F_POLICY) {
-		if (setpolicy(s, policy_in) < 0)
-			errx(1, "%s", ipsec_strerror());
-		if (setpolicy(s, policy_out) < 0)
-			errx(1, "%s", ipsec_strerror());
-	}
-#else
-	if (options & F_AUTHHDR) {
-		optval = IPSEC_LEVEL_REQUIRE;
-#ifdef IPV6_AUTH_TRANS_LEVEL
-		if (setsockopt(s, IPPROTO_IPV6, IPV6_AUTH_TRANS_LEVEL,
-		    &optval, sizeof(optval)) == -1)
-			err(1, "setsockopt(IPV6_AUTH_TRANS_LEVEL)");
-#else /* old def */
-		if (setsockopt(s, IPPROTO_IPV6, IPV6_AUTH_LEVEL,
-		    &optval, sizeof(optval)) == -1)
-			err(1, "setsockopt(IPV6_AUTH_LEVEL)");
-#endif
-	}
-	if (options & F_ENCRYPT) {
-		optval = IPSEC_LEVEL_REQUIRE;
-		if (setsockopt(s, IPPROTO_IPV6, IPV6_ESP_TRANS_LEVEL,
-		    &optval, sizeof(optval)) == -1)
-			err(1, "setsockopt(IPV6_ESP_TRANS_LEVEL)");
-	}
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif
-
 #ifdef ICMP6_FILTER
     {
 	struct icmp6_filter filt;
@@ -2448,13 +2368,6 @@ pr_retip(struct ip6_hdr *ip6, u_char *end)
 			hlen = (((struct ip6_rthdr *)cp)->ip6r_len+1) << 3;
 			nh = ((struct ip6_rthdr *)cp)->ip6r_nxt;
 			break;
-#ifdef IPSEC
-		case IPPROTO_AH:
-			printf("AH ");
-			hlen = (((struct ah *)cp)->ah_len+2) << 2;
-			nh = ((struct ah *)cp)->ah_nxt;
-			break;
-#endif
 		case IPPROTO_ICMPV6:
 			printf("ICMP6: type = %d, code = %d\n",
 			    *cp, *(cp + 1));
@@ -2522,29 +2435,6 @@ fill(char *bp, char *patp)
 	}
 }
 
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-int
-setpolicy(int so __unused, char *policy)
-{
-	char *buf;
-
-	if (policy == NULL)
-		return 0;	/* ignore */
-
-	buf = ipsec_set_policy(policy, strlen(policy));
-	if (buf == NULL)
-		errx(1, "%s", ipsec_strerror());
-	if (setsockopt(s, IPPROTO_IPV6, IPV6_IPSEC_POLICY, buf,
-	    ipsec_get_policylen(buf)) < 0)
-		warnx("Unable to set IPsec policy");
-	free(buf);
-
-	return 0;
-}
-#endif
-#endif
-
 char *
 nigroup(char *name)
 {
@@ -2593,14 +2483,8 @@ void
 usage(void)
 {
 	fprintf(stderr,
-#if defined(IPSEC) && !defined(IPSEC_POLICY_IPSEC)
-	    "A"
-#endif
 	    "usage: ping6 [-"
 	    "d"
-#if defined(IPSEC) && !defined(IPSEC_POLICY_IPSEC)
-	    "E"
-#endif
 	    "fH"
 #ifdef IPV6_USE_MIN_MTU
 	    "m"
@@ -2608,9 +2492,6 @@ usage(void)
 	    "nNqtvwW] "
 	    "[-a addrtype] [-b bufsiz] [-c count] [-g gateway]\n"
 	    "             [-h hoplimit] [-I interface] [-i wait] [-l preload]"
-#if defined(IPSEC) && defined(IPSEC_POLICY_IPSEC)
-	    " [-P policy]"
-#endif
 	    "\n"
 	    "             [-p pattern] [-S sourceaddr] [-s packetsize] "
 	    "[hops ...] host\n");
diff --git a/share/initrd/sbin.libcrypto/Makefile b/share/initrd/sbin.libcrypto/Makefile
index d74e8066a8..579fd89a5c 100644
--- a/share/initrd/sbin.libcrypto/Makefile
+++ b/share/initrd/sbin.libcrypto/Makefile
@@ -24,7 +24,6 @@ CRUNCH_ALIAS_md5= rmd160
 CRUNCH_SRCDIRS+= usr.sbin/802_11
 CRUNCH_PROGS_usr.sbin/802_11= wpa_supplicant
 CRUNCH_LIBS+= -lpcap -lprivate_ssl -lmd -lprivate_crypto
-CRUNCH_LIBS+= -lipsec
 CRUNCH_LIBS+= ${PRIVATELIB_LDFLAGS}
 
 .include <bsd.crunchgen.mk>
diff --git a/share/initrd/sbin/Makefile b/share/initrd/sbin/Makefile
index a7413a0f30..d461682763 100644
--- a/share/initrd/sbin/Makefile
+++ b/share/initrd/sbin/Makefile
@@ -66,7 +66,7 @@ CRUNCH_ALIAS_swapon= swapoff swapctl
 
 CRUNCH_LIBS+= -lcam -lsbuf -lutil -lkvm -lm -lhammer -lkiconv
 CRUNCH_LIBS+= -lprivate_edit -lprivate_ncurses -ldevstat -lprop -lpthread
-CRUNCH_LIBS+= -lbsdxml -lipsec
+CRUNCH_LIBS+= -lbsdxml
 CRUNCH_LIBS+= ${PRIVATELIB_LDFLAGS}
 
 CRUNCH_SRCDIRS+= usr.sbin
diff --git a/share/man/man4/Makefile b/share/man/man4/Makefile
index 49d5feb94e..0be891f0c1 100644
--- a/share/man/man4/Makefile
+++ b/share/man/man4/Makefile
@@ -93,7 +93,6 @@ MAN=	aac.4 \
 	em.4 \
 	et.4 \
 	exca.4 \
-	fast_ipsec.4 \
 	fd.4 \
 	fdc.4 \
 	firewire.4 \
@@ -136,7 +135,6 @@ MAN=	aac.4 \
 	ipheth.4 \
 	ipmi.4 \
 	ips.4 \
-	ipsec.4 \
 	isa.4 \
 	iscsi_initiator.4 \
 	isp.4 \
diff --git a/share/mk/bsd.libnames.mk b/share/mk/bsd.libnames.mk
index 4760495079..b920d0ceeb 100644
--- a/share/mk/bsd.libnames.mk
+++ b/share/mk/bsd.libnames.mk
@@ -37,7 +37,6 @@ LIBFL?=		"don't use LIBFL, use LIBL"
 LIBFSID?=	${DESTDIR}${LIBDIR}/libfsid.a
 LIBFTPIO?=	${DESTDIR}${LIBDIR}/libftpio.a
 LIBHAMMER?=	${DESTDIR}${LIBDIR}/libhammer.a
-LIBIPSEC?=	${DESTDIR}${LIBDIR}/libipsec.a
 LIBKCORE?=	${DESTDIR}${LIBDIR}/libkcore.a
 LIBKICONV?=	${DESTDIR}${LIBDIR}/libkiconv.a
 LIBKINFO?=	${DESTDIR}${LIBDIR}/libkinfo.a
